eoStSubtreeXOver(3)

NAME
eoStSubtreeXOver - eoStSubtreeXOver --> subtree xover for strongly typed tree-based genetic programming

SYNOPSIS

#include <gp/eoStParseTreeOp.h>

Inherits eoQuadOp< eoParseTree< FType, Node > >.

  Public Types
typedef eoParseTree< FType, Node > EoType

  Public Member Functions
eoStSubtreeXOver (unsigned _max_length)
Constructor.
virtual std::string className () const
the ckassname
virtual ~eoStSubtreeXOver ()
Dtor.
bool operator() (EoType &_eo1, EoType &_eo2)
Perform crossover on two individuals param _eo1 The first parent individual param _eo2 The second parent individual.

  Private Attributes
unsigned max_length

Detailed Description

  template<class FType, class Node> class eoStSubtreeXOver< FType, Node >
eoStSubtreeXOver --> subtree xover for strongly typed tree-based genetic programming

Definition at line 56 of file eoStParseTreeOp.h.

Constructor & Destructor Documentation

  template<class FType, class Node> eoStSubtreeXOver< FType, Node >::eoStSubtreeXOver (unsigned _max_length) [inline]

Constructor.

Parameters:
    _max_length the maximum size of an individual

Definition at line 64 of file eoStParseTreeOp.h.

Author

Generated automatically by Doxygen for EO from the source code.